com.digi.xbee.api.models

## Enum PowerLevel

- java.lang.Object
- - java.lang.Enum<PowerLevel>
  - - com.digi.xbee.api.models.PowerLevel

- All Implemented Interfaces:
    Serializable, Comparable<PowerLevel>

      public enum PowerLevel
      extends Enum<PowerLevel>

  Enumerates the different power levels. The power level indicates the output power value of a radio when transmitting data.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEVEL_HIGH`
    `LEVEL_HIGHEST`
    `LEVEL_LOW`
    `LEVEL_LOWEST`
    `LEVEL_MEDIUM`
    `LEVEL_UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PowerLevel` | `get(int value)` Returns the `PowerLevel` entry associated to the given value.
    `String` | `getDescription()` Returns the power level description.
    `int` | `getValue()` Returns the power level value.
    `String` | `toString()`
    `static PowerLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PowerLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEVEL_HIGH

          public static final PowerLevel LEVEL_HIGH

    - #### LEVEL_HIGHEST

          public static final PowerLevel LEVEL_HIGHEST

    - #### LEVEL_LOW

          public static final PowerLevel LEVEL_LOW

    - #### LEVEL_LOWEST

          public static final PowerLevel LEVEL_LOWEST

    - #### LEVEL_MEDIUM

          public static final PowerLevel LEVEL_MEDIUM

    - #### LEVEL_UNKNOWN

          public static final PowerLevel LEVEL_UNKNOWN

  - ### Method Detail

    - #### get

          public static PowerLevel get(int value)

      Returns the `PowerLevel` entry associated to the given value.
      Parameters:
        `value` - Value of the `PowerLevel` to retrieve.
      Returns:
        The `PowerLevel` entry associated to the given value, `#LEVEL_UNKNOWN` if the value could not be found in the list.

    - #### getDescription

          public String getDescription()

      Returns the power level description.
      Returns:
        The power level description.

    - #### getValue

          public int getValue()

      Returns the power level value.
      Returns:
        The power level value.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<PowerLevel>`

    - #### valueOf

          public static PowerLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static PowerLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PowerLevel c : PowerLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

© Copyright 2014–2014 Digi International Inc. All rights reserved.